=== modified file 'plugin/innobase/btr/btr0btr.cc'
--- plugin/innobase/btr/btr0btr.cc	2010-12-24 00:04:05 +0000
+++ plugin/innobase/btr/btr0btr.cc	2010-12-26 23:42:28 +0000
@@ -2501,14 +2501,14 @@
 
 	/* Go upward to root page, decrementing levels by one. */
 	for (i = 0; i < n_blocks; i++, page_level++) {
-		page_t*		page	= buf_block_get_frame(blocks[i]);
+		page_t*		inner_page	= buf_block_get_frame(blocks[i]);
 		page_zip_des_t*	page_zip= buf_block_get_page_zip(blocks[i]);
 
 		ut_ad(btr_page_get_level(page, mtr) == page_level + 1);
 
-		btr_page_set_level(page, page_zip, page_level, mtr);
+		btr_page_set_level(inner_page, page_zip, page_level, mtr);
 #ifdef UNIV_ZIP_DEBUG
-		ut_a(!page_zip || page_zip_validate(page_zip, page));
+		ut_a(!page_zip || page_zip_validate(page_zip, inner_page));
 #endif /* UNIV_ZIP_DEBUG */
 	}
 

=== modified file 'plugin/innobase/buf/buf0flu.cc'
--- plugin/innobase/buf/buf0flu.cc	2010-12-26 00:22:34 +0000
+++ plugin/innobase/buf/buf0flu.cc	2010-12-26 23:42:28 +0000
@@ -1845,11 +1845,9 @@
 		ulint	i;
 
 		for (i = 0; i < srv_buf_pool_instances; ++i) {
-			buf_pool_t*	buf_pool;
-
-			buf_pool = buf_pool_from_array(i);
-
-			os_event_wait(buf_pool->no_flush[type]);
+			buf_pool_t*	i_buf_pool = buf_pool_from_array(i);
+
+			os_event_wait(i_buf_pool->no_flush[type]);
 		}
 	} else {
 		os_event_wait(buf_pool->no_flush[type]);

=== modified file 'plugin/innobase/fsp/fsp0fsp.cc'
--- plugin/innobase/fsp/fsp0fsp.cc	2010-12-24 00:04:05 +0000
+++ plugin/innobase/fsp/fsp0fsp.cc	2010-12-26 23:42:28 +0000
@@ -2771,13 +2771,13 @@
 		can be obtained immediately with buf_page_get without need
 		for a disk read */
 		buf_block_t*	block;
-		ulint		zip_size = dict_table_flags_to_zip_size(
+		ulint		page_zip_size = dict_table_flags_to_zip_size(
 			mach_read_from_4(FSP_SPACE_FLAGS + space_header));
 
-		block = buf_page_create(space, ret_page, zip_size, mtr);
+		block = buf_page_create(space, ret_page, page_zip_size, mtr);
 		buf_block_dbg_add_level(block, SYNC_FSP_PAGE);
 
-		if (UNIV_UNLIKELY(block != buf_page_get(space, zip_size,
+		if (UNIV_UNLIKELY(block != buf_page_get(space, page_zip_size,
 							ret_page, RW_X_LATCH,
 							mtr))) {
 			ut_error;
@@ -2790,12 +2790,12 @@
 		The extent is still in the appropriate list (FSEG_NOT_FULL
 		or FSEG_FREE), and the page is not yet marked as used. */
 
-		ut_ad(xdes_get_descriptor(space, zip_size, ret_page, mtr)
+		ut_ad(xdes_get_descriptor(space, page_zip_size, ret_page, mtr)
 		      == ret_descr);
 		ut_ad(xdes_get_bit(ret_descr, XDES_FREE_BIT,
 				   ret_page % FSP_EXTENT_SIZE, mtr) == TRUE);
 
-		fseg_mark_page_used(seg_inode, space, zip_size, ret_page, mtr);
+		fseg_mark_page_used(seg_inode, space, page_zip_size, ret_page, mtr);
 	}
 
 	buf_reset_check_index_page_at_flush(space, ret_page);

=== modified file 'plugin/innobase/ibuf/ibuf0ibuf.cc'
--- plugin/innobase/ibuf/ibuf0ibuf.cc	2010-12-26 03:15:44 +0000
+++ plugin/innobase/ibuf/ibuf0ibuf.cc	2010-12-26 23:42:28 +0000
@@ -3526,13 +3526,13 @@
 		/* If this is the root page, update ibuf->empty. */
 		if (UNIV_UNLIKELY(buf_block_get_page_no(block)
 				  == FSP_IBUF_TREE_ROOT_PAGE_NO)) {
-			const page_t*	root = buf_block_get_frame(block);
+			const page_t*	page_root = buf_block_get_frame(block);
 
-			ut_ad(page_get_space_id(root) == IBUF_SPACE_ID);
-			ut_ad(page_get_page_no(root)
+			ut_ad(page_get_space_id(page_root) == IBUF_SPACE_ID);
+			ut_ad(page_get_page_no(page_root)
 			      == FSP_IBUF_TREE_ROOT_PAGE_NO);
 
-			ibuf->empty = (page_get_n_recs(root) == 0);
+			ibuf->empty = (page_get_n_recs(page_root) == 0);
 		}
 	} else {
 		ut_ad(mode == BTR_MODIFY_TREE);

=== modified file 'plugin/innobase/log/log0recv.cc'
--- plugin/innobase/log/log0recv.cc	2010-12-26 04:19:37 +0000
+++ plugin/innobase/log/log0recv.cc	2010-12-26 23:42:28 +0000
@@ -1589,7 +1589,7 @@
 
 		if (recv->start_lsn >= page_lsn) {
 
-			ib_uint64_t	end_lsn;
+			ib_uint64_t	page_end_lsn;
 
 			if (!modification_to_page) {
 
@@ -1613,15 +1613,15 @@
 							 buf + recv->len,
 							 block, &mtr);
 
-			end_lsn = recv->start_lsn + recv->len;
-			mach_write_to_8(FIL_PAGE_LSN + page, end_lsn);
+			page_end_lsn = recv->start_lsn + recv->len;
+			mach_write_to_8(FIL_PAGE_LSN + page, page_end_lsn);
 			mach_write_to_8(UNIV_PAGE_SIZE
 					- FIL_PAGE_END_LSN_OLD_CHKSUM
-					+ page, end_lsn);
+					+ page, page_end_lsn);
 
 			if (page_zip) {
 				mach_write_to_8(FIL_PAGE_LSN
-						+ page_zip->data, end_lsn);
+						+ page_zip->data, page_end_lsn);
 			}
 		}
 

=== modified file 'plugin/innobase/page/page0page.cc'
--- plugin/innobase/page/page0page.cc	2010-12-26 04:19:37 +0000
+++ plugin/innobase/page/page0page.cc	2010-12-26 23:42:28 +0000
@@ -2475,9 +2475,9 @@
 
 		/* set old_offsets to offsets; recycle offsets */
 		{
-			ulint* offs = old_offsets;
+			ulint* tmp_offs = old_offsets;
 			old_offsets = offsets;
-			offsets = offs;
+			offsets = tmp_offs;
 		}
 	}
 

=== modified file 'plugin/innobase/plugin.am'
--- plugin/innobase/plugin.am	2010-12-26 22:30:13 +0000
+++ plugin/innobase/plugin.am	2010-12-26 23:42:28 +0000
@@ -225,8 +225,7 @@
 		     plugin/innobase/libpars.la
 endif
 
-plugin_innobase_libinnobase_la_CFLAGS=	${AM_CFLAGS} ${INNOBASE_SKIP_WARNINGS} -I${top_builddir}/plugin/innobase/include -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
-plugin_innobase_libinnobase_la_CXXFLAGS=${AM_CXXFLAGS} ${PERMISSIVE_WARNINGS} ${INNOBASE_SKIP_WARNINGS} -I${top_builddir}/plugin/innobase/include -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+plugin_innobase_libinnobase_la_CXXFLAGS=${AM_CXXFLAGS} -I${top_builddir}/plugin/innobase/include -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
 plugin_innobase_libinnobase_la_SOURCES= \
                                         plugin/innobase/btr/btr0btr.cc \
                                         plugin/innobase/btr/btr0cur.cc \

=== modified file 'plugin/innobase/row/row0ins.cc'
--- plugin/innobase/row/row0ins.cc	2010-12-26 15:48:26 +0000
+++ plugin/innobase/row/row0ins.cc	2010-12-26 23:42:28 +0000
@@ -2110,20 +2110,20 @@
 	mtr_commit(&mtr);
 
 	if (UNIV_LIKELY_NULL(big_rec)) {
-		rec_t*	rec;
+		rec_t*	exit_rec;
 		ulint*	offsets;
 		mtr_start(&mtr);
 
 		btr_cur_search_to_nth_level(index, 0, entry, PAGE_CUR_LE,
 					    BTR_MODIFY_TREE, &cursor, 0,
 					    __FILE__, __LINE__, &mtr);
-		rec = btr_cur_get_rec(&cursor);
-		offsets = rec_get_offsets(rec, index, NULL,
+		exit_rec = btr_cur_get_rec(&cursor);
+		offsets = rec_get_offsets(exit_rec, index, NULL,
 					  ULINT_UNDEFINED, &heap);
 
 		err = btr_store_big_rec_extern_fields(
 			index, btr_cur_get_block(&cursor),
-			rec, offsets, big_rec, &mtr);
+			exit_rec, offsets, big_rec, &mtr);
 
 		if (modify) {
 			dtuple_big_rec_free(big_rec);

=== modified file 'plugin/innobase/row/row0merge.cc'
--- plugin/innobase/row/row0merge.cc	2010-12-26 21:08:54 +0000
+++ plugin/innobase/row/row0merge.cc	2010-12-26 23:42:28 +0000
@@ -314,23 +314,23 @@
 		} else if (UNIV_LIKELY(!ext)) {
 		} else if (dict_index_is_clust(index)) {
 			/* Flag externally stored fields. */
-			const byte*	buf = row_ext_lookup(ext, col_no,
+			const byte*	row_buf = row_ext_lookup(ext, col_no,
 							     &len);
-			if (UNIV_LIKELY_NULL(buf)) {
-				ut_a(buf != field_ref_zero);
+			if (UNIV_LIKELY_NULL(row_buf)) {
+				ut_a(row_buf != field_ref_zero);
 				if (i < dict_index_get_n_unique(index)) {
-					dfield_set_data(field, buf, len);
+					dfield_set_data(field, row_buf, len);
 				} else {
 					dfield_set_ext(field);
 					len = dfield_get_len(field);
 				}
 			}
 		} else {
-			const byte*	buf = row_ext_lookup(ext, col_no,
+			const byte*	row_buf = row_ext_lookup(ext, col_no,
 							     &len);
-			if (UNIV_LIKELY_NULL(buf)) {
-				ut_a(buf != field_ref_zero);
-				dfield_set_data(field, buf, len);
+			if (UNIV_LIKELY_NULL(row_buf)) {
+				ut_a(row_buf != field_ref_zero);
+				dfield_set_data(field, row_buf, len);
 			}
 		}
 
@@ -1290,7 +1290,7 @@
 		for (i = 0; i < n_index; i++) {
 			row_merge_buf_t*	buf	= merge_buf[i];
 			merge_file_t*		file	= &files[i];
-			const dict_index_t*	index	= buf->index;
+			const dict_index_t*	buf_index	= buf->index;
 
 			if (UNIV_LIKELY
 			    (row && row_merge_buf_add(buf, row, ext))) {
@@ -1306,7 +1306,7 @@
 			Sort them and write to disk. */
 
 			if (buf->n_tuples) {
-				if (dict_index_is_unique(index)) {
+				if (dict_index_is_unique(buf_index)) {
 					row_merge_dup_t	dup;
 					dup.index = buf->index;
 					dup.table = table;

=== modified file 'plugin/innobase/row/row0mysql.cc'
--- plugin/innobase/row/row0mysql.cc	2010-12-26 15:48:26 +0000
+++ plugin/innobase/row/row0mysql.cc	2010-12-26 23:42:28 +0000
@@ -3213,16 +3213,16 @@
 
 	if (table->n_foreign_key_checks_running > 0) {
 
-		const char*	table_name = table->name;
+		const char*	i_table_name = table->name;
 		ibool		added;
 
-		added = row_add_table_to_background_drop_list(table_name);
+		added = row_add_table_to_background_drop_list(i_table_name);
 
 		if (added) {
 			ut_print_timestamp(stderr);
 			fputs("  InnoDB: You are trying to drop table ",
 			      stderr);
-			ut_print_name(stderr, trx, TRUE, table_name);
+			ut_print_name(stderr, trx, TRUE, i_table_name);
 			fputs("\n"
 			      "InnoDB: though there is a"
 			      " foreign key check running on it.\n"

=== modified file 'plugin/innobase/row/row0upd.cc'
--- plugin/innobase/row/row0upd.cc	2010-12-26 21:08:54 +0000
+++ plugin/innobase/row/row0upd.cc	2010-12-26 23:42:28 +0000
@@ -1651,7 +1651,7 @@
 
 	if (node->state != UPD_NODE_INSERT_CLUSTERED) {
 		rec_t*		rec;
-		dict_index_t*	index;
+		dict_index_t*	node_index;
 		ulint		offsets_[REC_OFFS_NORMAL_SIZE];
 		ulint*		offsets;
 		rec_offs_init(offsets_);
@@ -1669,18 +1669,18 @@
 		record is removed from the index tree, or updated. */
 
 		rec = btr_cur_get_rec(btr_cur);
-		index = dict_table_get_first_index(table);
-		offsets = rec_get_offsets(rec, index, offsets_,
+		node_index = dict_table_get_first_index(table);
+		offsets = rec_get_offsets(rec, node_index, offsets_,
 					  ULINT_UNDEFINED, &heap);
 		change_ownership = btr_cur_mark_extern_inherited_fields(
-			btr_cur_get_page_zip(btr_cur), rec, index, offsets,
+			btr_cur_get_page_zip(btr_cur), rec, node_index, offsets,
 			node->update, mtr);
 		if (referenced) {
 			/* NOTE that the following call loses
 			the position of pcur ! */
 
 			err = row_upd_check_references_constraints(
-				node, pcur, table, index, offsets, thr, mtr);
+				node, pcur, table, node_index, offsets, thr, mtr);
 
 			if (err != DB_SUCCESS) {
 

